package kcg.faics.board.vo;

import java.util.Date;

public class BoardVO {
	
	/** 테이블 이름*/
	private String id;

	/** 게시글번호*/
	private int seq;
	/** 회원id*/
	private String userId;
	/** 그룹seq*/
	private int groupSeq = 0;
	/** 카테고리id*/
	private String category = " ";
	/** 회원이름*/
	private String userName;
	/** 게시글내용*/
	private String content;
	/** 게시글제목*/
	private String subject;
	/** ?0 */
	private int parentSeq = 0;
	/**
	 * 이전 글 시퀀스 번호.
	 */
	private int prevSeq = 0;
	/**
	 * 다음 글 시퀀스 번호. 
	 */
	private int nextSeq = 0;
	/** ?3 */
	private int step = 0;
	/** ?4 */
	private int depth = 0;
	/** 등록날짜*/
	private Date regdate;
	/** 조회수*/
	private int hit;
	/** 추천수*/
	private int recommend;
	/** 등록자ip*/
	private String ip = "0.0.0.0";
	/** ?5 */
	private int notice;
	/** ?6 */
	private int html;
	/** ?7 */
	private int num1;
	/** ?8 */
	private int num2;
	/** 소속기관명*/
	private String data1 = "";
	/** 직급*/
	private String data2 = "";
	/** 소속기관id*/
	private String place1 = "";
	/** 직급id*/
	private String position = "";
	
	private int isReply;
	
	/**
	 * 첨부파일 개수.
	 */
	private int fileCnt = 0;
	
	
	/**
	 * @return the id
	 */
	public String getId() {
		return id;
	}
	/**
	 * @param id the id to set
	 */
	public void setId(String id) {
		this.id = id;
	}
	/**
	 * @return the seq
	 */
	public int getSeq() {
		return seq;
	}
	/**
	 * @param seq the seq to set
	 */
	public void setSeq(int seq) {
		this.seq = seq;
	}

	/**
	 * @return the category
	 */
	public String getCategory() {
		return category;
	}
	/**
	 * @return the userId
	 */
	public String getUserId() {
		return userId;
	}
	/**
	 * @param userId the userId to set
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}
	/**
	 * @return the groupSeq
	 */
	public int getGroupSeq() {
		return groupSeq;
	}
	/**
	 * @param groupSeq the groupSeq to set
	 */
	public void setGroupSeq(int groupSeq) {
		this.groupSeq = groupSeq;
	}
	/**
	 * @return the userName
	 */
	public String getUserName() {
		return userName;
	}
	/**
	 * @param userName the userName to set
	 */
	public void setUserName(String userName) {
		this.userName = userName;
	}
	/**
	 * @return the parentSeq
	 */
	public int getParentSeq() {
		return parentSeq;
	}
	/**
	 * @param parentSeq the parentSeq to set
	 */
	public void setParentSeq(int parentSeq) {
		this.parentSeq = parentSeq;
	}
	/**
	 * @return the prevSeq
	 */
	public int getPrevSeq() {
		return prevSeq;
	}
	/**
	 * @param prevSeq the prevSeq to set
	 */
	public void setPrevSeq(int prevSeq) {
		this.prevSeq = prevSeq;
	}
	/**
	 * @return the nextSeq
	 */
	public int getNextSeq() {
		return nextSeq;
	}
	/**
	 * @param nextSeq the nextSeq to set
	 */
	public void setNextSeq(int nextSeq) {
		this.nextSeq = nextSeq;
	}
	/**
	 * @param category the category to set
	 */
	public void setCategory(String category) {
		if (category == null || category.equals("")) {
			category = " ";
		}
		this.category = category;
	}
	/**
	 * @return the content
	 */
	public String getContent() {
		return content;
	}
	/**
	 * @param content the content to set
	 */
	public void setContent(String content) {
		this.content = content;
	}
	/**
	 * @return the subject
	 */
	public String getSubject() {
		return subject;
	}
	/**
	 * @param subject the subject to set
	 */
	public void setSubject(String subject) {
		this.subject = subject;
	}
	/**
	 * @return the step
	 */
	public int getStep() {
		return step;
	}
	/**
	 * @param step the step to set
	 */
	public void setStep(int step) {
		this.step = step;
	}
	/**
	 * @return the depth
	 */
	public int getDepth() {
		return depth;
	}
	/**
	 * @param depth the depth to set
	 */
	public void setDepth(int depth) {
		this.depth = depth;
	}
	/**
	 * @return the regdate
	 */
	public Date getRegdate() {
		return regdate;
	}
	/**
	 * @param regdate the regdate to set
	 */
	public void setRegdate(Date regdate) {
		this.regdate = regdate;
	}
	/**
	 * @return the hit
	 */
	public int getHit() {
		return hit;
	}
	/**
	 * @param hit the hit to set
	 */
	public void setHit(int hit) {
		this.hit = hit;
	}
	/**
	 * @return the recommend
	 */
	public int getRecommend() {
		return recommend;
	}
	/**
	 * @param recommend the recommend to set
	 */
	public void setRecommend(int recommend) {
		this.recommend = recommend;
	}
	/**
	 * @return the ip
	 */
	public String getIp() {
		return ip;
	}
	/**
	 * @param ip the ip to set
	 */
	public void setIp(String ip) {
		this.ip = ip;
	}
	/**
	 * @return the notice
	 */
	public int getNotice() {
		return notice;
	}
	/**
	 * @param notice the notice to set
	 */
	public void setNotice(int notice) {
		this.notice = notice;
	}
	/**
	 * @return the html
	 */
	public int getHtml() {
		return html;
	}
	/**
	 * @param html the html to set
	 */
	public void setHtml(int html) {
		this.html = html;
	}
	/**
	 * @return the num1
	 */
	public int getNum1() {
		return num1;
	}
	/**
	 * @param num1 the num1 to set
	 */
	public void setNum1(int num1) {
		this.num1 = num1;
	}
	/**
	 * @return the num2
	 */
	public int getNum2() {
		return num2;
	}
	/**
	 * @param num2 the num2 to set
	 */
	public void setNum2(int num2) {
		this.num2 = num2;
	}
	/**
	 * @return the data1
	 */
	public String getData1() {
		return data1;
	}
	/**
	 * @param data1 the data1 to set
	 */
	public void setData1(String data1) {
		this.data1 = data1;
	}
	/**
	 * @return the data2
	 */
	public String getData2() {
		return data2;
	}
	/**
	 * @param data2 the data2 to set
	 */
	public void setData2(String data2) {
		this.data2 = data2;
	}
	/**
	 * @return the place1
	 */
	public String getPlace1() {
		return place1;
	}
	/**
	 * @param place1 the place1 to set
	 */
	public void setPlace1(String place1) {
		this.place1 = place1;
	}
	/**
	 * @return the position
	 */
	public String getPosition() {
		return position;
	}
	/**
	 * @param position the position to set
	 */
	public void setPosition(String position) {
		this.position = position;
	}
	
	/**
	 * 조회수를 1 증가시킨다.
	 */
	public void incHit() {
		this.hit += 1;
	}
	/**
	 * 조회수를 1 감소시킨다.
	 */
	public void decHit() {
		this.hit -= 1;
	}
	/**
	 * @return the isReply
	 */
	public int getIsReply() {
		return isReply;
	}
	/**
	 * @param isReply the isReply to set
	 */
	public void setIsReply(int isReply) {
		this.isReply = isReply;
	}
	
	/**
	 * @return the fileCnt
	 */
	public final int getFileCnt() {
		return fileCnt;
	}
	/**
	 * @param fileCnt the fileCnt to set
	 */
	public final void setFileCnt(int fileCnt) {
		this.fileCnt = fileCnt;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "BoardVO [id=" + id + ", seq=" + seq + ", userId=" + userId
				+ ", groupSeq=" + groupSeq + ", category=" + category
				+ ", userName=" + userName + ", content=" + content
				+ ", subject=" + subject + ", parentSeq=" + parentSeq
				+ ", prevSeq=" + prevSeq + ", nextSeq=" + nextSeq + ", step="
				+ step + ", depth=" + depth + ", regdate=" + regdate + ", hit="
				+ hit + ", recommend=" + recommend + ", ip=" + ip + ", notice="
				+ notice + ", html=" + html + ", num1=" + num1 + ", num2="
				+ num2 + ", data1=" + data1 + ", data2=" + data2 + ", place1="
				+ place1 + ", position=" + position + ", isReply=" + isReply
				+ "]";
	}
}
